### Hierarchy

- ReadLineOptions

## Index

### Properties

- completer
- crlfDelay
- historySize
- input
- output
- prompt
- removeHistoryDuplicates
- terminal

## Properties

### Optional completer

completer: Completer | AsyncCompleter

- Defined in node_modules/@types/node/readline.d.ts:120

### Optional crlfDelay

crlfDelay: undefined | number

- Defined in node_modules/@types/node/readline.d.ts:124

### Optional historySize

historySize: undefined | number

- Defined in node_modules/@types/node/readline.d.ts:122

### input

input: ReadableStream

- Defined in node_modules/@types/node/readline.d.ts:118

### Optional output

output: WritableStream

- Defined in node_modules/@types/node/readline.d.ts:119

### Optional prompt

prompt: undefined | string

- Defined in node_modules/@types/node/readline.d.ts:123

### Optional removeHistoryDuplicates

removeHistoryDuplicates: undefined | false | true

- Defined in node_modules/@types/node/readline.d.ts:125

### Optional terminal

terminal: undefined | false | true

- Defined in node_modules/@types/node/readline.d.ts:121

Generated using TypeDoc